Bug 142639 - MS Natural Keyboard (ps/2) does not function with Dell
MS Natural Keyboard (ps/2) does not function with Dell
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 143557 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 04:48 EST by rob versluis
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:11:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dmesg (17.81 KB, text/plain)
2005-02-01 17:07 EST, Thomas J. Baker
no flags Details

  None (edit)
Description rob versluis 2004-12-11 04:48:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Keyboard is dead in console- and X-mode.
All leds lights after the left shiftkey is released.
With FC1 it did work fine.

Version-Release number of selected component (if applicable):
All FC3 kernels

How reproducible:
Always

Steps to Reproduce:
1. Boot FC3
2.
3.
    

Actual Results:  Keyboard input not possible.

Expected Results:  Functionally keyboard input.

Additional info:

I'm now using the Dell keyboard which came with the pc.
Comment 1 rob versluis 2005-01-11 03:21:31 EST
Kernel 2.6.10-1.737_FC3 did not fix the problem.
Is this a Dell-only problem?
Comment 2 Dave Jones 2005-01-11 10:29:35 EST
are you going through a KVM switcher or direct ?
Comment 3 rob versluis 2005-01-12 01:22:38 EST
No, the keyboard is connected directly.
Also the X-Windows starts with a flattering screen...
Directly after booting the MS Natural keyboard does not function
anymore; after releasing the left shift all lights flashes one time.
Comment 4 rob versluis 2005-01-26 02:08:26 EST
Kernel 2.6.10-1.741_FC3 did not fix the problem.
Comment 5 Thomas J. Baker 2005-02-01 17:07:49 EST
Created attachment 110532 [details]
/var/log/dmesg

I just did a clean install of FC3 on a Dell Precision 530 and had similiar
problems with any PS/2 keyboard. The keyboard works fine during bios and grub
interaction but at some point during the boot, it locks up and can't be used. I
had to put a USB keyboard as I tried two different PS/2 keyboards and they
didn't work. Even after installing the 741 kernel, it failed to work. The
system was previously running FC1 with no problems so it seems like a 2.4
versus 2.6 problem.
Comment 6 rob versluis 2005-02-03 01:36:52 EST
kernel-2.6.10-1.760_FC3 did not fix the problem.
Comment 7 rob versluis 2005-02-28 05:02:05 EST
kernel-2.6.10-1.766_FC3 did not fix the problem.
Comment 8 rob versluis 2005-04-13 01:16:34 EDT
kernel-2.6.11-1.14_FC3 did not fix the problem.
Comment 9 Dave Jones 2005-07-15 14:35:09 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 rob versluis 2005-07-18 01:36:02 EDT
kernel-2.6.12-1.1372_FC3 did not fix the problem.
Comment 11 rob versluis 2005-09-12 07:41:28 EDT
FC4 with kernel 2.6.12-1.1447_FC4 did not fix the problem.
Comment 12 Dave Jones 2005-09-30 02:52:13 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 13 Dave Jones 2005-11-10 14:59:25 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 14 rob versluis 2005-12-02 04:33:13 EST
I tested the new kernel but the keyboard has the same problems as with older
kernels. For now I am using a PS/2 to USB converter to use the ms-naturalkeyboard.
Comment 15 Dave Jones 2005-12-06 18:35:53 EST
*** Bug 143557 has been marked as a duplicate of this bug. ***
Comment 16 Dave Jones 2006-02-03 00:51:52 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 17 John Thacker 2006-05-04 09:11:49 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.